### Method

# EDataServer WebDAVSession get_supported_privilege_set_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_webdav_session_get_supported_privilege_set_sync (
      EWebDAVSession* webdav,
      const gchar* uri,
      GNode** out_privileges,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets supported privileges for the `uri`, or, in case it’s `NULL`, for the URI defined in associated `ESource`.

The root node of `out_privileges` has always `NULL` data.

Free the returned `out_privileges` with `e_webdav_session_util_free_privileges()` when no longer needed.

Available since: 3.26

#### Parameters

`uri`

  Type: `const gchar*`

  URI to issue the request for, or `NULL` to read from `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_privileges`

  Type: `GNode`

  Return location for the tree of supported privileges.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.